#==============================================================================
# package      DE_EPAGES::GoogleBase::UI::GoogleBaseConfig
# state        private
#==============================================================================
package DE_EPAGES::GoogleBase::UI::GoogleBaseConfig;
use base DE_EPAGES::ProductPortal::UI::PortalConfig;

use strict;
use DE_EPAGES::Core::API::PerlTools qw (isValid);

#==============================================================================
sub ExportPortalConfig {
    my $self    = shift;
    my $Servlet = shift;

    $self->SUPER::GeneratePortalConfigProductPrettyUnityUrls($Servlet);

    return $self->SUPER::ExportPortalConfig($Servlet, 0);
}

#==============================================================================
sub Save {
    my $self    = shift;
    my $Servlet = shift;

    my $Form = $Servlet->form;
    my $DescriptionAttributeID = $Form->formValue('DescriptionAttribute');
    unless (isValid($DescriptionAttributeID) && $DescriptionAttributeID =~ /^\d+$/) {
        $Form->addFormError({
            'Form'  => 'PortalConfigSettings',
            'Reason'=> 'NoDescriptionAttribute',
            'Name'  => 'DescriptionAttribute'
        });
    }
    foreach my $field (qw(FTPLogin FTPPassword FTPFileName MaxTitleLength)) {
        if (!isValid($Form->formValue($field))) {
            $Form->addFormError({
                'Form'  => 'PortalConfigSettings',
                'Reason'=> 'MandatoryFieldMissing',
                'Name'  => $field
            });
        }
    }

    return $self->SUPER::Save($Servlet);
}

1;
